/**********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$('.center-wrapper').css("overflow","hidden");

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'slide_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         //CAMBIAR ESTA OPCIÓN A PLAY SI SE DESEA INICIAR LA ANIMACIÓN O SI ES IMAGEN FIJA PONERLA EN STOP 
         sym.stop();

      });
      //Edge binding end

      

      

      

      

      

      

      

   })("slide_1");
   //Edge symbol end:'slide_1'

   //=========================================================
   
   //Edge symbol: 'Hot_Spot'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("Hot_Spot");
   //Edge symbol end:'Hot_Spot'

   //=========================================================
   
   //Edge symbol: 'bg_defecto_simbolo'
   (function(symbolName) {   
   
   })("bg_defecto_simbolo");
   //Edge symbol end:'bg_defecto_simbolo'

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'NINA_ojos'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("NINA_ojos_1");
   //Edge symbol end:'NINA_ojos_1'

   //=========================================================
   
   //Edge symbol: 'MARIPOSAS_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.play();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2250, function(sym, e) {
         // introducir código aquí
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.play("inicio");

      });
         //Edge binding end

      })("MARIPOSAS_1");
   //Edge symbol end:'MARIPOSAS_1'

   //=========================================================
   
   //Edge symbol: 'NINA'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 10000, function(sym, e) {
         sym.play(0);
         

      });
      //Edge binding end

   })("NINA_1");
   //Edge symbol end:'NINA_1'

   //=========================================================
   
   //Edge symbol: 'nubes'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 20000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("nubes");
   //Edge symbol end:'nubes'

   //=========================================================
   
   //Edge symbol: 'MARIPOSAS'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2250, function(sym, e) {
         // introducir código aquí
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.play("inicio");

      });
      //Edge binding end

   })("MARIPOSAS");
   //Edge symbol end:'MARIPOSAS'

   //=========================================================
   
   //Edge symbol: 'slide_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 750, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      

      

      

      

      

      

      

   })("contenido_2");
   //Edge symbol end:'contenido_2'

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'MARIPOSAS_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3000, function(sym, e) {
         // introducir código aquí
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.play("inicio");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getSymbol("MARIPOSASCopy").play("inicio");
         sym.getSymbol("MARIPOSAS_1Copy").play("inicio");
         sym.getSymbol("MARIPOSAS_1").play("inicio");
         sym.getSymbol("MARIPOSAS").play("inicio");
         

      });
      //Edge binding end

   })("MARIPOSAS_2");
   //Edge symbol end:'MARIPOSAS_2'

   //=========================================================

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'boca_lipsync'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 9000, function(sym, e) {
         // introducir código aquí
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.play("inicio");

      });
      //Edge binding end

   })("boca_lipsync_1");
   //Edge symbol end:'boca_lipsync_1'

   //=========================================================
   
   //Edge symbol: 'plantas'
   (function(symbolName) {   
   
      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 8000, function(sym, e) {
         // insert code here
         // Play the timeline at a label or specific time. For example:
         // sym.play(500); or sym.play("myLabel");
         sym.play("inicio");

      });
      //Edge binding end

   })("plantas");
   //Edge symbol end:'plantas'

   //=========================================================
   
   //Edge symbol: 'NINA_head'
   (function(symbolName) {   
   
   })("NINA_head_1");
   //Edge symbol end:'NINA_head_1'

   //=========================================================
   
   //Edge symbol: 'estaciones'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_HotSpot_1}", "click", function(sym, e) {
         sym.$("invierno").show();
         sym.getSymbol("invierno").play(0);
         sym.getSymbol("bt_ampliar").stop("down");
         
         
         sym.$("verano").hide();
         sym.$("otono").hide();
         sym.$("primavera").hide();
         
         sym.getSymbol("bt_ampliar2").stop("up");
         sym.getSymbol("bt_ampliar3").stop("up");
         sym.getSymbol("bt_ampliar4").stop("up");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HotSpot_2}", "click", function(sym, e) {
         sym.$("primavera").show();
         sym.getSymbol("primavera").play(0);
         sym.getSymbol("bt_ampliar2").stop("down");
         
         
         sym.$("invierno").hide();
         sym.$("verano").hide();
         sym.$("otono").hide();
         
         sym.getSymbol("bt_ampliar3").stop("up");
         sym.getSymbol("bt_ampliar4").stop("up");
         sym.getSymbol("bt_ampliar").stop("up");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HotSpot_4}", "click", function(sym, e) {
         sym.$("otono").show();
         sym.getSymbol("otono").play(0);
         sym.getSymbol("bt_ampliar4").stop("down");
         
         
         sym.$("invierno").hide();
         sym.$("verano").hide();
         sym.$("primavera").hide();
         
         sym.getSymbol("bt_ampliar2").stop("up");
         sym.getSymbol("bt_ampliar3").stop("up");
         sym.getSymbol("bt_ampliar").stop("up");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HotSpot_3}", "click", function(sym, e) {
         sym.$("verano").show();
         sym.getSymbol("verano").play(0);
         sym.getSymbol("bt_ampliar3").stop("down");
         
         
         sym.$("invierno").hide();
         sym.$("otono").hide();
         sym.$("primavera").hide();
         
         sym.getSymbol("bt_ampliar2").stop("up");
         sym.getSymbol("bt_ampliar4").stop("up");
         sym.getSymbol("bt_ampliar").stop("up");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_ampliar}", "click", function(sym, e) {
         sym.$("invierno").show();
         sym.getSymbol("invierno").play(0);
         sym.getSymbol("bt_ampliar").stop("down");
         
         
         sym.$("verano").hide();
         sym.$("otono").hide();
         sym.$("primavera").hide();
         
         sym.getSymbol("bt_ampliar2").stop("up");
         sym.getSymbol("bt_ampliar3").stop("up");
         sym.getSymbol("bt_ampliar4").stop("up");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_ampliar2}", "click", function(sym, e) {
         sym.$("primavera").show();
         sym.getSymbol("primavera").play(0);
         sym.getSymbol("bt_ampliar2").stop("down");
         
         
         sym.$("invierno").hide();
         sym.$("verano").hide();
         sym.$("otono").hide();
         
         sym.getSymbol("bt_ampliar3").stop("up");
         sym.getSymbol("bt_ampliar4").stop("up");
         sym.getSymbol("bt_ampliar").stop("up");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_ampliar3}", "click", function(sym, e) {
         sym.$("verano").show();
         sym.getSymbol("verano").play(0);
         sym.getSymbol("bt_ampliar3").stop("down");
         
         
         sym.$("invierno").hide();
         sym.$("otono").hide();
         sym.$("primavera").hide();
         
         sym.getSymbol("bt_ampliar2").stop("up");
         sym.getSymbol("bt_ampliar4").stop("up");
         sym.getSymbol("bt_ampliar").stop("up");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_ampliar4}", "click", function(sym, e) {
         sym.$("otono").show();
         sym.getSymbol("otono").play(0);
         sym.getSymbol("bt_ampliar4").stop("down");
         
         
         sym.$("invierno").hide();
         sym.$("verano").hide();
         sym.$("primavera").hide();
         
         sym.getSymbol("bt_ampliar2").stop("up");
         sym.getSymbol("bt_ampliar3").stop("up");
         sym.getSymbol("bt_ampliar").stop("up");
         

      });
      //Edge binding end

   })("estaciones");
   //Edge symbol end:'estaciones'

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_info'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "click", function(sym, e) {
         sym.stop("down");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "click", function(sym, e) {
         sym.stop("up");
         
         

      });
      //Edge binding end

   })("bt_ampliar");
   //Edge symbol end:'bt_ampliar'

   //=========================================================
   
   //Edge symbol: 'GLOBO'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.play();

      });
      //Edge binding end

   })("GLOBO");
   //Edge symbol end:'GLOBO'

   //=========================================================
   
   //Edge symbol: 'invierno'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("invierno");
   //Edge symbol end:'invierno'

   //=========================================================
   
   //Edge symbol: 'nota_i'
   (function(symbolName) {   
   
   })("nota_i");
   //Edge symbol end:'nota_i'

   //=========================================================
   
   //Edge symbol: 'invierno_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("primavera");
   //Edge symbol end:'primavera'

   //=========================================================
   
   //Edge symbol: 'invierno_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6000, function(sym, e) {
         sym.play(0);

      });
         //Edge binding end

      })("verano");
   //Edge symbol end:'verano'

   //=========================================================
   
   //Edge symbol: 'primavera_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6000, function(sym, e) {
         sym.play(0);

      });
         //Edge binding end

      })("otono");
   //Edge symbol end:'otono'

})(jQuery, AdobeEdge, "EDGE-5531445");